Subject: bug#73860: 29.2; tetris on windows

From: Corwin Brust <[email-masked]>
Date: Sat, 19 Oct 2024 10:36:12 -0500

Hi.  Coming to this thread too late to be of use, I fear.  So it's
likely fine to ignore this "for the record" reply.  Glad things are
sorted using the latest binary release. (Or please LMK if I may be
misunderstanding, believing that you are good to go.)

On Fri, Oct 18, 2024 at 2:04 PM Pierpaolo Bernardi <[email-masked]> wrote:
>
> On Fri, Oct 18, 2024 at 8:44 PM Eli Zaretskii <[email-masked]> wrote:
>
> > > > Can your Emacs display XPM images?
> > >
> > > No.
> >
> > How come?  I think this is the cause of your problem, but it shouldn't
> > happen: every Emacs binary distribution on MS-Windows must be capable
> > of displaying XPM (because the tool-bar icons are XPM images).  Do you
> > have libxpm-noX4.dll (or similarly-named) library in the same
> > directory as emacs.exe or somewhere on PATH?
>
> No.
>
> To be sure, I checked in the zip file that I downloaded and lixpm is not there.
>
> Now I downloaded emacs-29.4.zip. I have not installed it yet, BUT the
> file libXpm-nox4.dll is in the zip
>
> I forgot to write that I use the .zip file. Maybe the .exe installer
> did not have this problem, and that may be why nobody noticed before.
>

Both zip and self-installer (exe) had this problem.

> > > So, it looks like there's been an error in the packaging of this
> > > binary release?
> >
> > If your installation lacks a libxpm DLL, then yes.  It must be part of
> > the package.
>
> Looks like this was the case, and it has already been fixed in newer releases.
>

Quite correct. Apologies for the inconvenience my error caused.

> Thank you for the support!
>
> Cheers
>

Thank you for reporting the problem.  (And also for the 10m I just
spent playing tetris. Alas, I am not better at this game than I
remember.)  Your report could easily have been the first indication of
the problem; it is much appreciated.

I will also note, in passing, the existence of this pre-release for
Emacs 30 (30.0.91) from the alpha FTP site. I don't know of any
problems with it, but I also don't know if it has seen a great deal of
use.

https://alpha.gnu.org/gnu/emacs/pretest/windows/emacs-30/?C=M;O=D